<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../../general.ent">
  %general-entities;

  <!ENTITY webp-pixbuf-loader-download-http "https://github.com/aruiz/webp-pixbuf-loader/archive/&webp-pixbuf-loader-version;/webp-pixbuf-loader-&webp-pixbuf-loader-version;.tar.gz">
  <!ENTITY webp-pixbuf-loader-download-ftp  " ">
  <!ENTITY webp-pixbuf-loader-md5sum        "e97025dc70178877dbd041776f151947">
  <!ENTITY webp-pixbuf-loader-size          "8.8 MB">
  <!ENTITY webp-pixbuf-loader-buildsize     "9.7 MB">
  <!ENTITY webp-pixbuf-loader-time          "less than 0.1 SBU (with tests)">
]>

<sect1 id="webp-pixbuf-loader" xreflabel="webp-pixbuf-loader-&webp-pixbuf-loader-version;">
  <?dbhtml filename="webp-pixbuf-loader.html"?>

  <title>webp-pixbuf-loader-&webp-pixbuf-loader-version;</title>

  <indexterm zone="webp-pixbuf-loader">
    <primary sortas="a-webp-pixbuf-loader">webp-pixbuf-loader</primary>
  </indexterm>

  <sect2 role="package">
    <title>Introduction to webp-pixbuf-loader</title>

    <para>
      The <application>webp-pixbuf-loader</application> package contains a
      library that allows gdk-pixbuf to load and process webp images.
    </para>

    &lfs122_checked;

    <bridgehead renderas="sect3">Package Information</bridgehead>
    <itemizedlist spacing="compact">
      <listitem>
        <para>
          Download (HTTP): <ulink url="&webp-pixbuf-loader-download-http;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download (FTP): <ulink url="&webp-pixbuf-loader-download-ftp;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download MD5 sum: &webp-pixbuf-loader-md5sum;
        </para>
      </listitem>
      <listitem>
        <para>
          Download size: &webp-pixbuf-loader-size;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated disk space required: &webp-pixbuf-loader-buildsize;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated build time: &webp-pixbuf-loader-time;
        </para>
      </listitem>
    </itemizedlist>

    <bridgehead renderas="sect3">webp-pixbuf-loader Dependencies</bridgehead>

    <bridgehead renderas="sect4">Required</bridgehead>
    <para role="required">
      <xref linkend="gdk-pixbuf"/> and
      <xref linkend="libwebp"/>
    </para>

  </sect2>
  
  <sect2 role="installation">
    <title>Installation of webp-pixbuf-loader</title>

    <para>
      Install <application>webp-pixbuf-loader</application> by running the following
      commands:
    </para>

<screen><userinput>mkdir build &amp;&amp;
cd    build &amp;&amp;

meson setup --prefix=/usr --buildtype=release .. &amp;&amp;
ninja</userinput></screen>

    <para>
      To test the results, issue: <command>ninja test</command>.
    </para>

    <para>
      Now, as the <systemitem class="username">root</systemitem> user:
    </para>

<screen role="root"><userinput>ninja install</userinput></screen>

    <para>
      The webp format needs to be added to the loaders cache:
    </para>

<screen role="root"><userinput>gdk-pixbuf-query-loaders --update-cache</userinput></screen>

  </sect2>

  <sect2 role="commands">
    <title>Command Explanations</title>

    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
      href="../../xincludes/meson-buildtype-release.xml"/>

    <para>
      <command>gdk-pixbuf-query-loaders --update-cache</command>: This command
      updates the gdk-pixbuf loader cache so that it knows the webp loader has
      been installed.
    </para>
  </sect2>

  <sect2 role="content">
    <title>Contents</title>

    <segmentedlist>
      <segtitle>Installed Programs</segtitle>
      <segtitle>Installed Libraries</segtitle>
      <segtitle>Installed Directories</segtitle>

      <seglistitem>
        <seg>
          None
        </seg>
        <seg>
          libpixbufloader-webp.so
        </seg>
        <seg>
          None
        </seg>
      </seglistitem>
    </segmentedlist>

    <variablelist>
      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
      <?dbfo list-presentation="list"?>
      <?dbhtml list-presentation="table"?>

      <varlistentry id="libpixbufloader-webp">
        <term><filename class="libraryfile">libpixbufloader-webp.so</filename></term>
        <listitem>
          <para>
            contains functions that allow gdk-pixbuf to load webp images
          </para>
          <indexterm zone="webp-pixbuf-loader libpixbufloader-webp">
            <primary sortas="c-libpixbufloader-webp">libpixbufloader-webp.so</primary>
          </indexterm>
        </listitem>
      </varlistentry>
    </variablelist>
  </sect2>
</sect1>
